Package org.apache.nutch.service

## Interface SeedManager

- All Known Implementing Classes:
    `SeedManagerImpl`

      public interface SeedManager

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `deleteSeedList​(String seedName)` |
    `SeedList` | `getSeedList​(String seedName)` |
    `Map<String,​SeedList>` | `getSeeds()` |
    `void` | `setSeedList​(String seedName, SeedList seedList)` |

- - ### Method Detail

    - #### getSeedList

          SeedList getSeedList​(String seedName)

    - #### setSeedList

          void setSeedList​(String seedName,
                           SeedList seedList)

    - #### deleteSeedList

          boolean deleteSeedList​(String seedName)

    - #### getSeeds

          Map<String,​SeedList> getSeeds()